Support » Alpha/Beta/RC » Page “Updating failed” message in 5.0-RC3-43967

  • Resolved djadan (DJA London)

    (@djadan)


    Hello,

    I am testing using WordPress 5.0-RC3-43967, updated this morning from WP 4.9.8

    I opened an existing Page, selected the Add Image option and inserted an image from the Media Library below a block of text. When I clicked update I got a message saying “Updating failed”

    All plugins are disabled and the site is on the WP 2019 theme.

    In Chrome Console I see references as follows:

    /wp-json/wp/v2/users/?who=authors&per_page=100&_locale=user:1 Failed to load resource: the server responded with a status of 404 ()

    /wp-json/wp/v2/taxonomies?context=edit&_locale=user:1 Failed to load resource: the server responded with a status of 404 ()

    Uncaught (in promise) Error: [object Response]
    at redux-routine.min.js?ver=3.0.3:1
    at redux-routine.min.js?ver=3.0.3:1

    /wp-json/wp/v2/media/5?context=edit&_locale=user:1 Failed to load resource: the server responded with a status of 404 ()

    /wp-admin/undefined:1 Failed to load resource: the server responded with a status of 404 ()

    Failed to load resource: the server responded with a status of 404 () /wp-json/wp/v2/pages/12?_locale=user:1

    I updated WordPress using the WordPress Beta Tester plugin.

Viewing 15 replies - 16 through 30 (of 30 total)
  • lightwavin

    (@lightwavin)

    so only one site out of 12 has this issue, but it is the only site that was using built in WP layout editor. All the other sites use Visual Composer or similar.

    Moderator Ipstenu (Mika Epstein)

    (@ipstenu)

    🏳️‍🌈 Plugin Review Team Rep

    Wordfence may be messing with the RestAPI…

    Just removed *all* plugins and added a new user to the basic installation and get “Updating failed” for an existing Post and “Publishing failed” for a new Page. I made sure it wasn’t a browser session by closing all tabs, clearing the cache and restarting my computer.

    Interestingly this seems to cover similar issues:

    https://github.com/WordPress/gutenberg/issues/12324

    kassidy1

    (@kassidy1)

    I am running into the same issue and since this new update, it won’t let me edit or create a new page. I need this fixed WordPress!!! I did notice one did change but it said failed updating. Why are we experiencing this?

    jen1206d

    (@jen1206d)

    I am also having the same issue since the update. Any changes to a page says “Updating failed”. Would appreciate a solution to this ASAP! I did just find that you can install a plugin for the Classic Editor and that seems to allow us to update pages with no problems.

    • This reply was modified 1 year ago by jen1206d.
    Moderator Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    Check your .htaccess files, make sure you don’t have any rules blocking calls to the /wp-json endpoint.

    kassidy1

    (@kassidy1)

    @jen1206d One strange thing I’m noticing that my DEV went on and he’s able to create a page?? On my backend. I’m having him look into it. Could this we a specific block to certain IP’s and users. This is odd. It almost seems like a certain block or a plugin is conflicting. the classic editor seem to resolve the problem?

    elextric

    (@elextric)

    Just updated from the ‘WordPress 5 is here, please update box’.
    Same problem. Now I have to downgrade. Nothing is saving.

    I’m also using WordFence.

    is there any recommended steps, for reverting back to my previous version of WordPress?

    Thanks

    • This reply was modified 1 year ago by elextric.
    • This reply was modified 1 year ago by elextric.
    • This reply was modified 1 year ago by elextric.

    OK – so I sorted one site out by amending htaccess and thanks to @otto42 for the suggestion about htaccess. Mine had been an installation from Softaculous that had written my file as follows:

    # BEGIN WordPress
    <IfModule mod_rewrite.c>
    RewriteEngine On
    RewriteBase /{domain}/
    RewriteRule ^index\.php$ – [L]
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteRule . /{domain}/index.php [L]
    </IfModule>

    # END WordPress

    I went to a working site and copied the following:

    # BEGIN WordPress
    <IfModule mod_rewrite.c>
    RewriteEngine On
    RewriteBase /
    RewriteRule ^index\.php$ – [L]
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteRule . /index.php [L]
    </IfModule>

    This solved my saving issue in WordPress 5 🙂 However the site that I had the Beta plugin running had updated to 5.1-alpha and Gutenberg seemed to have disappeared altogether. I am going to reinstall that site from scratch.

    Good luck with getting your sites fixed!

    kassidy1

    (@kassidy1)

    Has anyone tried downgrading to the previous version before the 5.0? I’m kicked out to my backend. Once I added the classic editor it seemed my site went haywire and a lot of my pages broke. I do think this new version caused some issues to all of my plugins. I cant even get in at this point. But my thought is if theres a way to keep the old version or is this just a risk? It was working just fine before this update. Im not happy.

    kassidy1

    (@kassidy1)

    I just completed the downgrade and it worked great. It reverted it back to 4.9.8 no problem and the pages are back to where they where. So I recommended this option for unsatisfied 5.0 users. I hated the new one. So far no problems, im only wondering if you have to keep the actual plugin in there? anyone know?

    astherier

    (@astherier)

    In my site, some accesses were blocked as Mixed Contents(HTTPS/HTTP).
    So, I tried “Really Simple SSL” plugin, it becomes well.

    Moderator Jan Dembowski

    (@jdembowski)

    Forum Moderator and Brute Squad

    I’m leaving this topic open for now but please try the steps listed above.

    If they do not work, and if you need support then per the forum guidelines please start your own topic.

    https://wordpress.org/support/guidelines/#post-in-the-best-place

    You can do so here.

    https://wordpress.org/support/forum/how-to-and-troubleshooting/#new-post

    Moderator Ipstenu (Mika Epstein)

    (@ipstenu)

    🏳️‍🌈 Plugin Review Team Rep

    I’m closing this. 5.0 is out and it’s live. If new people have this issue, or existing, it’s something specific to their install. Please make your own topics for this, but do check everything we’ve already listed.

Viewing 15 replies - 16 through 30 (of 30 total)
  • The topic ‘Page “Updating failed” message in 5.0-RC3-43967’ is closed to new replies.